### Method

# Foundry Context dup_diagnostic_manager

#### Declaration [src]

    FoundryDiagnosticManager*
    foundry_context_dup_diagnostic_manager (
      FoundryContext* self
    )

#### Description [src]

Gets the `FoundryDiagnosticManager` instance.

#### Return value

Type: `FoundryDiagnosticManager`

A `FoundryDiagnosticManager`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.